﻿Imports System.Collections.ObjectModel
Imports System.ComponentModel
Imports System.Data
Imports System.Data.OleDb
Imports System.Windows.Data

Public Class MainViewModel
   Implements INotifyPropertyChanged
   Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged
   
   Public WithEvents WorkspaceTours As New ListCollectionView(WorkCenterTour.MockData)

   Public Sub New()
      For Each wct In WorkCenterTour.MockData
         AddHandler wct.TourView.CurrentChanged, AddressOf CollectionView_CurrentChanged
      Next
   End Sub

   Private Sub CollectionView_CurrentChanged(ByVal sender As Object, ByVal e As EventArgs) Handles WorkspaceTours.CurrentChanged
      Dim wct = WorkCenterTour.MockData(WorkspaceTours.CurrentPosition)
      SelectedUrgentOrder = DirectCast(wct.TourView.CurrentItem, UrgentOrder)
   End Sub

   Private _selectedUrgentOrder As UrgentOrder
   Public Property SelectedUrgentOrder() As UrgentOrder
      Get
         Return _selectedUrgentOrder
      End Get
      Set(ByVal value As UrgentOrder)
         If _selectedUrgentOrder Is value Then Return
         _selectedUrgentOrder = value
         OnPropertyChanged()
      End Set
   End Property


   Private Sub OnPropertyChanged(<Runtime.CompilerServices.CallerMemberName> Optional prop As String = "")
      RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(prop))
   End Sub

End Class
